Bug 165510 - Update textproc/sigil to 0.5.3
Summary: Update textproc/sigil to 0.5.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Carlo Strub
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-27 22:40 UTC by Jonathan Chen
Modified: 2012-03-16 11:30 UTC (History)
0 users

See Also:


Attachments
file.diff (4.07 KB, patch)
2012-02-27 22:40 UTC, Jonathan Chen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Chen 2012-02-27 22:40:06 UTC
Update textproc/sigil from 0.2.4 to 0.5.3

Fix: Patch attached with submission follows:
Comment 1 Carlo Strub freebsd_committer 2012-02-29 20:40:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->cs

I'll take it.
Comment 2 Carlo Strub freebsd_committer 2012-03-12 17:35:32 UTC
State Changed
From-To: open->feedback

I get the following errors on my tinderbox. Can you confirm? 

[ 63%] Generating qrc_javascript.cxx 
cd /work/a/ports/textproc/sigil/work/src/Sigil && /usr/local/bin/rcc -name javascript -o /work/a/ports/textproc/sigil/work/src/Sigil/qrc_javascript.cxx /work/a/ports/textproc/sigil/work/src/Sigil/Resource_Files/javascript/javascript.qrc 
/usr/local/bin/cmake -E cmake_progress_report /work/a/ports/textproc/sigil/work/CMakeFiles  
[ 63%] Generating qrc_icon.cxx 
cd /work/a/ports/textproc/sigil/work/src/Sigil && /usr/local/bin/rcc -name icon -o /work/a/ports/textproc/sigil/work/src/Sigil/qrc_icon.cxx /work/a/ports/textproc/sigil/work/src/Sigil/Resource_Files/icon/icon.qrc 
/usr/local/bin/cmake -E cmake_progress_report /work/a/ports/textproc/sigil/work/CMakeFiles 86 
[ 64%] Generating sigil_tr_TR.qm 
cd /work/a/ports/textproc/sigil/work/src/Sigil && QT_LRELEASE_EXECUTABLE-NOTFOUND /work/a/ports/textproc/sigil/work/src/Sigil/Resource_Files/ts/sigil_tr_TR.ts -qm /work/a/ports/textproc/sigil/work/src/Sigil/sigil_tr_TR.qm 
QT_LRELEASE_EXECUTABLE-NOTFOUND: not found 
*** Error code 127 

Stop in /work/a/ports/textproc/sigil/work. 
*** Error code 1
Comment 3 Jonathan Chen 2012-03-13 02:04:28 UTC
On 13 March 2012 06:36,  <cs@freebsd.org> wrote:
[...]
> [ 64%] Generating sigil_tr_TR.qm
> cd /work/a/ports/textproc/sigil/work/src/Sigil && QT_LRELEASE_EXECUTABLE-NOTFOUND /work/a/ports/textproc/sigil/work/src/Sigil/Resource_Files/ts/sigil_tr_TR.ts -qm /work/a/ports/textproc/sigil/work/src/Sigil/sigil_tr_TR.qm
> QT_LRELEASE_EXECUTABLE-NOTFOUND: not found
> *** Error code 127
>
> Stop in /work/a/ports/textproc/sigil/work.
> *** Error code 1

The "linguist" module needs to be added to QT_COMPONENTS in the Makefile, ie:

QT_COMPONENTS=  qmake gui svg webkit xml moc uic rcc imageformats linguist

Cheers.
-- 
Jonathan Chen <jonc@chen.org.nz>
Comment 4 dfilter service freebsd_committer 2012-03-16 11:23:59 UTC
cs          2012-03-16 11:23:49 UTC

  FreeBSD ports repository

  Modified files:
    textproc/sigil       Makefile distinfo pkg-plist 
  Added files:
    textproc/sigil/files patch-CMakeLists 
  Log:
  Update to 0.5.3
  
  PR:             ports/165510
  Submitted by:   Jonathan Chen <jonc@chen.org.nz> (maintainer)
  Approved by:    glarkin@ (mentor)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.4       +12 -8     ports/textproc/sigil/Makefile
  1.3       +2 -2      ports/textproc/sigil/distinfo
  1.1       +14 -0     ports/textproc/sigil/files/patch-CMakeLists (new)
  1.3       +35 -1     ports/textproc/sigil/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Carlo Strub freebsd_committer 2012-03-16 11:24:08 UTC
State Changed
From-To: feedback->closed

Committed. Thank you very much.